
module.exports = new Class
({
	Extends: Vn.Component
	,Tag: 'htk-spinner'
	
	,_started: false

	,render: function ()
	{
		var loader = this.createRoot ('div');
		loader.className = 'htk-spinner';
		
		var spin = this.spin = this.createElement ('div');
		loader.appendChild (spin);
	}
	
	,start: function ()
	{
		if (this._started)
			return;
	
		Vn.Node.addClass (this.spin, 'spinner');
		this._started = true;
	}
	
	,stop: function ()
	{
		if (!this._started)
			return;

		Vn.Node.removeClass (this.spin, 'spinner');
		this._started = false;
	}
});

